# Colour Union Reference

Structure to access the alpha, red, green, and blue channels from a 32 bit number. More...

`#include <gfx_type.h>`

## Data Fields
uint32 | data
| Conversion of the channel information to a 32 bit number.
struct {
uint8 b
uint8 g
uint8 r
uint8 a
| colour channels in LE order
}; |

## Detailed Description

Structure to access the alpha, red, green, and blue channels from a 32 bit number.

Definition at line 148 of file gfx_type.h.

The documentation for this union was generated from the following file:

- src/gfx_type.h